---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgcstart001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50020, symBinAddr: 0x7330, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51F60, symBinAddr: 0x9270, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52350, symBinAddr: 0x9660, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x532F0, symBinAddr: 0xA600, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53300, symBinAddr: 0xA610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FB50, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FB54, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FB58, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FCB0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FD68, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FD6C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FD70, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FD74, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FD78, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FD80, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FD90, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FD98, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FDA0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FDA8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FDB0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FDB8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL7gcstart, symObjAddr: 0x4FDFC, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL8gcfinish, symObjAddr: 0x4FE00, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9109, offset: 0x9109, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FE04, symBinAddr: 0x71D4, symSize: 0x0 }
  - { offsetInCU: 0x9127, offset: 0x9127, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FE08, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9140, offset: 0x9140, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FE10, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9159, offset: 0x9159, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4FE20, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x91AB, offset: 0x91AB, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x17D0, symSize: 0x80 }
  - { offsetInCU: 0x9240, offset: 0x9240, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1720, symSize: 0xB0 }
  - { offsetInCU: 0x929B, offset: 0x929B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1620, symSize: 0x100 }
  - { offsetInCU: 0x952E, offset: 0x952E, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1850, symSize: 0xC0 }
  - { offsetInCU: 0x9580, offset: 0x9580, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1910, symSize: 0x220 }
  - { offsetInCU: 0x9765, offset: 0x9765, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1B30, symSize: 0xA0 }
  - { offsetInCU: 0x9818, offset: 0x9818, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1BD0, symSize: 0x110 }
  - { offsetInCU: 0x990E, offset: 0x990E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1CE0, symSize: 0x150 }
  - { offsetInCU: 0x9A6B, offset: 0x9A6B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1E30, symSize: 0x30 }
  - { offsetInCU: 0x9B2C, offset: 0x9B2C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1E60, symSize: 0x150 }
  - { offsetInCU: 0x9D24, offset: 0x9D24, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1FB0, symSize: 0x160 }
  - { offsetInCU: 0x9FE4, offset: 0x9FE4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2110, symSize: 0x4A0 }
  - { offsetInCU: 0xA257, offset: 0xA257, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x25B0, symSize: 0x1B0 }
  - { offsetInCU: 0xA472, offset: 0xA472, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2760, symSize: 0xA0 }
  - { offsetInCU: 0xA541, offset: 0xA541, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2800, symSize: 0x20 }
  - { offsetInCU: 0xA578, offset: 0xA578, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2820, symSize: 0x20 }
  - { offsetInCU: 0xA5AF, offset: 0xA5AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2840, symSize: 0x20 }
  - { offsetInCU: 0xA71E, offset: 0xA71E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2860, symSize: 0x1A0 }
  - { offsetInCU: 0xAA3A, offset: 0xAA3A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2A00, symSize: 0x130 }
  - { offsetInCU: 0xABEA, offset: 0xABEA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2B30, symSize: 0x80 }
  - { offsetInCU: 0xACB3, offset: 0xACB3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2BB0, symSize: 0x6A0 }
  - { offsetInCU: 0xB848, offset: 0xB848, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA220, symBinAddr: 0x3F60, symSize: 0xB0 }
  - { offsetInCU: 0xB8BF, offset: 0xB8BF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3250, symSize: 0x70 }
  - { offsetInCU: 0xB97B, offset: 0xB97B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x32C0, symSize: 0xA0 }
  - { offsetInCU: 0xBAA6, offset: 0xBAA6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3360, symSize: 0x40 }
  - { offsetInCU: 0xBB9C, offset: 0xBB9C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x33A0, symSize: 0x2B0 }
  - { offsetInCU: 0xBF42, offset: 0xBF42, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3650, symSize: 0xC0 }
  - { offsetInCU: 0xC088, offset: 0xC088, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3710, symSize: 0x10 }
  - { offsetInCU: 0xC14A, offset: 0xC14A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3720, symSize: 0x220 }
  - { offsetInCU: 0xC447, offset: 0xC447, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3940, symSize: 0x10 }
  - { offsetInCU: 0xC4A4, offset: 0xC4A4, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3950, symSize: 0x450 }
  - { offsetInCU: 0xC99D, offset: 0xC99D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA060, symBinAddr: 0x3DA0, symSize: 0x10 }
  - { offsetInCU: 0xC9FA, offset: 0xC9FA, size: 0x8, addend: 0x0, symName: _GarbageCollectionStart, symObjAddr: 0xA070, symBinAddr: 0x3DB0, symSize: 0x90 }
  - { offsetInCU: 0xCA57, offset: 0xCA57, size: 0x8, addend: 0x0, symName: _GarbageCollectionFinish, symObjAddr: 0xA100, symBinAddr: 0x3E40, symSize: 0x90 }
  - { offsetInCU: 0xCAB4, offset: 0xCAB4, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA190, symBinAddr: 0x3ED0, symSize: 0x90 }
  - { offsetInCU: 0xCB1D, offset: 0xCB1D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2D0, symBinAddr: 0x4010, symSize: 0x36A }
...
